Last Comment Bug 652958 - FormHelper does not work well with IME compositions
: FormHelper does not work well with IME compositions
Status: VERIFIED FIXED
formfill
: inputmethod, mobile
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All Android
: -- normal (vote)
: Firefox 6
Assigned To: Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 14:04 PDT by Matt Brubeck (:mbrubeck)
Modified: 2011-07-14 21:34 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (69.50 KB, image/png)
2011-04-26 14:04 PDT, Matt Brubeck (:mbrubeck)
no flags Details
Patch (841 bytes, patch)
2011-05-13 08:32 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
mark.finkle: review+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2011-04-26 14:04:21 PDT
Created attachment 528433 [details]
screenshot

Steps to reproduce:
1. Use an input method that offers word suggestions, e.g. "Android keyboard."
2. Open a page with a text field, e.g. http://people.mozilla.com/~mbrubeck/test/form.html
3. Tap on the text field.
4. Type a letter that matches the first letter of a suggestion.
5. Tap the suggestion.

Expected results: The suggestion appears in the text field.

Actual results: The typed character is removed, the other letters of the suggestion appear in the text field, and the first letters in the text field are underlined to indicate they are part of a composition.

I can reproduce this bug on T-Mobile G2 (Android 2.2) in Firefox 4.0, 5.0a2, and trunk.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-04-27 10:57:28 PDT
Vivien - is this a Form Helper bug or IME?
Comment 2 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-13 08:32:59 PDT
Created attachment 532247 [details] [diff] [review]
Patch

Force a composition end when using the autocomplete mechanism
Comment 3 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-14 03:48:11 PDT
http://hg.mozilla.org/mozilla-central/rev/4db7b12df9ae
Comment 4 Andreea Pod 2011-05-16 08:29:56 PDT
Mozilla /5.0 (Android;Linux armv7l;rv:6.0a1) Gecko/20110516 Firefox/6.0a1 Fennec/6.0a1
Mozilla /5.0 (Android;Linux armv7l;rv:5.0a2) Gecko/20110516 Firefox/5.0a2 Fennec/5.0a2

Device: Samsung Captivate (Android 2.1 update 1)

I just verified this on both above builds and on nightly it is fixed but on aurora I can still see the problem. Should I reopen this bug?
Comment 5 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-16 08:31:28 PDT
> I just verified this on both above builds and on nightly it is fixed but on
> aurora I can still see the problem. Should I reopen this bug?

No, the bug is fixed.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-16 08:34:03 PDT
> I just verified this on both above builds and on nightly it is fixed but on
> aurora I can still see the problem. Should I reopen this bug?

The bug is "tracking-fennec: 6+" which means it is only planned to land in Fx6. If we wanted the bug fixed in Fx 5, that would require landing in mozilla-aurora too.
Comment 7 Andreea Pod 2011-05-16 08:41:39 PDT
Marking it as verified fixed.

Note You need to log in before you can comment on or make changes to this bug.